{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.iron_golem_cracks": {  
		"overlay_color": { "r": 0.25, "g": 0.25, "b": 0.9, "a": "0.5*q.property('ldz:ice_overlay')" }, 
		"arrays": {
		  "textures": {
			"Array.cracks": [
			  "Texture.cracked_high",
			  "Texture.cracked_med",
			  "Texture.cracked_low",
			  "Texture.cracked_none"
			]
		  }
		},
		"geometry": "Geometry.default",
		"textures": [ "Array.cracks[math.clamp(query.health / 25, 0, 3)]" ]
	  }
  }
}
